## linuxmuster-schulkonsole 0.36.0-27

=== Makefile ===
CURDIR=$(shell pwd)

include common.mk

SUBDIRS = po src/util Schulkonsole

build:
	for d in $(SUBDIRS); do           \
	    (cd $$d;                      \
	    make "CFLAGS=$(CFLAGS)"       \
	        "LDFLAGS=$(LDFLAGS)"      \
	        "LIBFLAGS=$(LIBFLAGS)")   \
	done

install:
	for d in $(SUBDIRS); do             \
	    (cd $$d;                        \
	    make install "CFLAGS=$(CFLAGS)" \
	        "LDFLAGS=$(LDFLAGS)"        \
	        "LIBFLAGS=$(LIBFLAGS)")     \
	done

clean:
	for d in $(SUBDIRS); do \
	    (cd $$d;            \
	    make clean)         \
	done

=== Schulkonsole/Makefile ===
CURDIR=$(shell pwd)/..

include ../common.mk
srcdir = .

PERLFILES = $(wildcard *.pm) $(wildcard Error/*.pm) $(GENERATED)

PHPFILES  = $(wildcard *.php)

build:
	sed -i 's@^\$$_version = .*@\$$_version = '\''$(VERSION)'\'';@' Config.pm

install: build
	for datei in $(PERLFILES) $(PHPFILES); do \
	    $(INSTALL) -D -m 755 -o 0 -g 0 $$datei $(DESTDIR)$(PERLLIBDIR)/$$datei ; \
	done
	install -d -o www-data -g root -m 700 $(DESTDIR)$(RUNTIMEDIR)
	chmod -f 755 $(DESTDIR)$(PERLLIBDIR)/horde-mail.php

=== po/Makefile ===
include ../common.mk

SUFFIXES = .po .pot .mo

POFILES = $(ALL_LINGUAS:=.po)
MSGFILES = $(ALL_LINGUAS:=.mo)

TEMPLATE = $(PACKAGE).pot

EXTRA_DIST = $(POFILES)

build: $(MSGFILES)

# install
install: build
	for l in $(ALL_LINGUAS); do \
	    $(INSTALL) -m 644 -D $(addsuffix .mo,$$l) $(DESTDIR)$(LOCALEDIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

# refresh .po files from the template
clean:
	-rm -f -- $(MSGFILES)
	-rm -f -- $(POFILES:=~)
	-rm -f -- $(TEMPLATE)
	-rm -f -- POTFILES.tt.in
	-rm -f -- POTFILES.perl.in

messages: $(POFILES)

# refresh the template from the source code
template: $(TEMPLATE)

POTFILES.tt.in:
	find ..//menus.d -type f |sort >POTFILES.tt.in
	find ../tt -type f -name '*.tt' |sort >>POTFILES.tt.in

POTFILES.perl.in:
	find ../Schulkonsole -type f -name '*.pm*' |sort >POTFILES.perl.in
	find ../src/cgi-bin -type f -not -name 'Makefile.*' |sort >>POTFILES.perl.in

$(TEMPLATE): POTFILES.tt.in POTFILES.perl.in
	$(XGETTEXTTT) --plugin tt2 --gnu-gettext --use-gettext-style \
	--output=$(TEMPLATE) --files-from=POTFILES.tt.in
	sed 's/CHARSET/UTF-8/' -i $(TEMPLATE)
	$(XGETTEXT) --join-existing \
	--from-code=UTF-8 --language=Perl --output=$(TEMPLATE) \
	--package-name="schulkonsole" --package-version=$(VERSION) \
	--copyright-holder='This file is put in the public domain' \
	--msgid-bugs-address=fschuett@gymnasium-himmelsthuer.de \
	--keyword=get --files-from=POTFILES.perl.in

$(POFILES): $(TEMPLATE)
	$(MSGMERGE) -s $@ $< -o $@


%.mo: %.po
	$(MSGFMT) -f -o $@  $<

=== src/util/Makefile ===
include ../../common.mk

BUILDDIR = build
SOURCEDIR = .
EXECDIR = $(LIBDIR)/bin

SCRIPTS = $(wildcard $(SOURCEDIR)/*.pl)
SOURCES = $(wildcard $(SOURCEDIR)/*.c)
OBJECTS = $(patsubst $(SOURCEDIR)/%.c, $(BUILDDIR)/%.o, $(SOURCES))
BINARIES= $(patsubst $(SOURCEDIR)/%.c, $(BUILDDIR)/%, $(SOURCES))

build: setup $(BINARIES)

$(BUILDDIR)/%: $(BUILDDIR)/%.o
	$(CC) $(CFLAGS) -I$(SOURCEDIR) $< -o $@
	chmod -f 4755 $@

$(BUILDDIR)/%.o: $(SOURCEDIR)/%.c setup
	$(CC) $(CFLAGS) -c $< -o $@

setup:
	$(MKDIR) -p $(BUILDDIR)
	$(MKDIR) -p $(DESTDIR)$(EXECDIR)

install_bin: build
	for datei in $(patsubst $(BUILDDIR)/%,%,$(BINARIES)) ; do \
	    $(INSTALL) -m 4755 -o 0 -g 0 $(BUILDDIR)/$$datei $(DESTDIR)$(EXECDIR)/$$datei ; \
	done

install_script: $(SCRIPTS)
	for datei in $(SCRIPTS) ; do \
	    $(INSTALL) -m 755 -o 0 -g 0 $$datei $(DESTDIR)$(EXECDIR)/$$datei ; \
	done

install: install_bin install_script

clean:
	$(RM) $(BINARIES) $(OBJECTS)
	$(RM) -r $(BUILDDIR)

distclean: clean

help:
	@$(ECHO) "Targets:"
	@$(ECHO) "all     - buildcompile what is necessary"
	@$(ECHO) "clean   - cleanup old .o and binaries"
	@$(ECHO) "install - not yet fully supported"

=== debian/changelog ===
linuxmuster-schulkonsole (0.36.0-27) babo62; urgency=low

  * convert line endings in write_file
  * accept "-" in  linuxmuster-wlan-reset

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 25 Feb 2017 16:45:41 +0100

linuxmuster-schulkonsole (0.36.0-26) babo62; urgency=low

  * fix #668 by removing exceptionally old lock file

 -- Frank Schütte <fschuett@gymhim.de>  Sun, 05 Feb 2017 19:45:14 +0100

linuxmuster-schulkonsole (0.36.0-25) babo62; urgency=low

  * fix gid for sophomorix-teacher, set umask 002

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 08 Dec 2016 19:49:09 +0100

linuxmuster-schulkonsole (0.36.0-24) babo62; urgency=low

  * fix error Perl Kompilierungsfehler/usr/lib/schulkonsole/bin/wrapper-radius

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 08 Dec 2016 17:51:27 +0100

linuxmuster-schulkonsole (0.36.0-23) babo62; urgency=low

  * fix for #649: Bindestrich in Gruppennamen fuehrt zu Problemen

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 08 Dec 2016 13:55:55 +0100

linuxmuster-schulkonsole (0.36.0-22) babo62; urgency=low

  * New skin with new logo

 -- Frank Schiebel <frank@linuxmuster.net>  Mon, 05 Dec 2016 11:30:31 +0100

linuxmuster-schulkonsole (0.36.0-21) babo62; urgency=low

  * fix wrong rights on exam handout

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 25 Nov 2016 10:48:06 +0100

linuxmuster-schulkonsole (0.36.0-20) babo62; urgency=low

  * correct shtml -> tt in apache2.conf

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 24 Nov 2016 11:06:41 +0100

linuxmuster-schulkonsole (0.36.0-19) babo62; urgency=low

  * updated translations (pr #18,#19) from zefanja

 -- Frank Schütte <fschuett@gymhim.de>  Sun, 06 Nov 2016 12:17:10 +0100

linuxmuster-schulkonsole (0.36.0-18) babo62; urgency=low

  * fix #640 english translation not available
  * fix #613 pages remain in grey

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 24 Oct 2016 13:27:52 +0200

linuxmuster-schulkonsole (0.36.0-17) babo62; urgency=low

  * fix wrong catchall INVALID_SESSION (lead to Ungültige Session)

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 03 Oct 2016 19:31:32 +0200

linuxmuster-schulkonsole (0.36.0-16) babo62; urgency=low

  * fix #632; Tauschen global kann nicht geschaltet werden

 -- Frank Schütte <fschuett@gymhim.de>  Sun, 02 Oct 2016 12:32:23 +0200

linuxmuster-schulkonsole (0.36.0-15) babo62; urgency=low

  * fix #628 project_handoutcopy file empty

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 24 Sep 2016 08:48:22 +0200

linuxmuster-schulkonsole (0.36.0-14) babo62; urgency=low

  * fix "Keine Gruppen angegeben" bug by reordering arguments to wrapper-radius

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 23 Sep 2016 18:57:01 +0200

linuxmuster-schulkonsole (0.36.0-13) babo62; urgency=low

  * fixed #627 - import workstations not working as expected

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 17 Sep 2016 06:31:05 +0200

linuxmuster-schulkonsole (0.36.0-12) babo62; urgency=low

  * fix postsync line endings

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 02 Sep 2016 17:25:58 +0200

linuxmuster-schulkonsole (0.36.0-11) babo62; urgency=low

  * fix display of wrong sophomorix error
  * fix some issues with wlan switching and wlan project
  * fix postinst script: modify p_wifi as caller root

 -- Frank Schütte <fschuett@gymhim.de>  Wed, 31 Aug 2016 13:05:45 +0200

linuxmuster-schulkonsole (0.36.0-10) babo62; urgency=low

  * fix linuxmuster-wlan-reset being superficial (#620)

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 27 Aug 2016 15:42:57 +0200

linuxmuster-schulkonsole (0.36.0-9) babo62; urgency=low

  * fix line endings on gruppe.cfg editing

 -- Frank Schütte <fschuett@gymhim.de>  Tue, 26 Jul 2016 22:30:16 +0200

linuxmuster-schulkonsole (0.36.0-8) babo62; urgency=low

  * fix permissions of var/lib/schulkonsole

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 25 Jul 2016 08:45:36 +0200

linuxmuster-schulkonsole (0.36.0-7) babo62; urgency=low

  * fix quota not showing, settings_users quota

 -- root <root@linuxmuster.local>  Sat, 16 Jul 2016 09:48:12 +0200

linuxmuster-schulkonsole (0.36.0-6) babo62; urgency=low

  * fix for no autostart not shown for autostart selected

 -- root <root@linuxmuster.local>  Fri, 15 Jul 2016 16:42:08 +0200

linuxmuster-schulkonsole (0.36.0-5) babo62; urgency=low

  * fix start page template to turn autocomplete off, enter off

 -- root <root@linuxmuster.local>  Mon, 11 Jul 2016 17:03:35 +0200

linuxmuster-schulkonsole (0.36.0-4) babo62; urgency=low

  * rename apache2 link to 200-schulkonsole.conf

 -- root <root@linuxmuster.local>  Wed, 06 Jul 2016 19:46:40 +0200

linuxmuster-schulkonsole (0.36.0-3) babo62; urgency=low

  * p_wifi: set administrator as only admin

 -- root <root@linuxmuster.local>  Mon, 04 Jul 2016 13:08:47 +0200

linuxmuster-schulkonsole (0.36.0-2) babo62; urgency=low

  * p_wifi: addadmin administrator, set flag nojoin

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 02 Jul 2016 12:22:20 +0200

linuxmuster-schulkonsole (0.36.0-1) babo62; urgency=low

  * require linuxmuster-base 6.2.0, sophomorix 2.4.59 to reflect linuxmuster.net 6.2

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 02 Jul 2016 10:08:16 +0200

linuxmuster-schulkonsole (0.35.1-2) babo62; urgency=low

  * fix info on image copy (#504)
  * fix some minor problems on page linbo_images

 -- Frank Schütte <fschuett@gymhim.de>  Sat, 02 Jul 2016 09:07:04 +0200

linuxmuster-schulkonsole (0.35.1-1) babo62; urgency=low

  * readd old templates
  * fix some errors related to start.conf checking
  * fix some linbo_new errors

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 20 Jun 2016 13:44:27 +0200

linuxmuster-schulkonsole (0.35.1-0) babo62; urgency=low

  * add missing msr partition type
  * Session.pm.in -> Session.pm, Config.pm.in -> Config.pm

 -- Frank Schütte <fschuett@gymhim.de>  Thu, 16 Jun 2016 12:44:47 +0200

linuxmuster-schulkonsole (0.35.0-1) babo-testing; urgency=low

  * move rooms menu to settings_rooms #590

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 27 May 2016 16:50:46 +0200



=== debian/control ===
Source: linuxmuster-schulkonsole
Section: admin
Priority: optional
Maintainer: Frank Schütte <fschuett@gymhim.de>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libhtml-parser-perl, libtemplate-perl,
               liblocale-maketext-lexicon-perl, fakeroot
Standards-Version: 3.7.2

Package: linuxmuster-schulkonsole
Architecture: all
Pre-Depends: cyrus-common | cyrus21-common | cyrus22-common | cyrus-common-2.2
Depends: linuxmuster-schulkonsole-wrapper (>= ${source:Version}),
         linuxmuster-schulkonsole-wrapper (<< ${source:Version}.1~),
         sophomorix-base (>=2.4.59), sophomorix-pgldap (>=2.4.59),
         linuxmuster-base (>=6.2.0),
         libcgi-pm-perl, libcgi-session-perl, liblocale-gettext-perl, libhtml-parser-perl,
         libdbi-perl, libdbd-odbc-perl | libdbd-pg-perl, libcrypt-passwdmd5-perl,
         libcrypt-smbhash-perl, libnet-cups-perl (>= 0.55), libcrypt-rijndael-perl,
         libnet-imap-simple-perl, libenv-bash-perl, libproc-processtable-perl,
         ${perl:Depends}, ${misc:Depends}, libcrypt-cbc-perl, libtemplate-perl,
         libdata-password-perl, liblatex-encode-perl, liblatex-decode-perl,
         libjs-jquery, libjs-jquery-ui, javascript-common
Recommends: libtemplate-perl-doc
Provides: linuxmuster-schulkonsole-template
Conflicts: linuxmuster-schulkonsole-template
Replaces: linuxmuster-schulkonsole-template
Description: web-based administration tool for linuxmuster.net
 Schulkonsole is a web-interface for linuxmuster.net systems.

Package: linuxmuster-schulkonsole-wrapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: linuxmuster-schulkonsole-wrapper
Description: suid-wrappers for schulkonsole
 Schulkonsole is a web-interface for linuxmuster.net.
 .
 This package contains the wrappers to allow execution of utility-programs
 under different uid

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CFLAGS += -DWWWUID=33	# uid of www-data
CFLAGS += -DMINUID=500	# uid of nwberater

WRAPPER_SOURCES = $(wildcard src/util/*.c)
WRAPPER_BINARIES= $(patsubst src/util/%.c, debian/tmp/usr/lib/schulkonsole/bin/%, $(WRAPPER_SOURCES))
WRAPPER_PERMS   = $(patsubst src/util/%.c, -X/usr/lib/schulkonsole/bin/%, $(WRAPPER_SOURCES))

build:
	make

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.

	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i etc/linuxmuster/schulkonsole/menus.d etc/linuxmuster/schulkonsole/permissions.d
	dh_installdirs -a var/run

	# Add here commands to install the package into DESTDIR
	mkdir -p $(CURDIR)/debian/tmp
	make install DESTDIR=$(CURDIR)/debian/tmp
	install -d -o www-data -g root -m 700 debian/linuxmuster-schulkonsole/var/lib/schulkonsole

# Build architecture-independent files here.
binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installcron -i
#	dh_installman
	dh_install -i
	dh_lintian -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i -X/var/lib/schulkonsole -X/usr/lib
	dh_perl -i /usr/share/schulkonsole /usr/lib/schulkonsole
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
#	dh_installman -a
	dh_install --autodest -a $(WRAPPER_BINARIES)
	dh_lintian -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a -X/usr/lib $(WRAPPER_PERMS)
	dh_compress -a
	dh_fixperms -a -X/usr/lib $(WRAPPER_PERMS)
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
